For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
            • GETGet Currency
            • PUTUpdate Currency
            • DELDelete Currency
            • GETList Currencies
            • POSTCreate Currency
            • DELDelete All Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCurrencies

Get Currency

GET
https://api.bigcommerce.com/stores/:store_hash/v2/currencies/:id
GET
/stores/:store_hash/v2/currencies/:id
$curl https://api.bigcommerce.com/stores/store_hash/v2/currencies/id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "auto_update": true,
3 "country_iso2": "EU",
4 "currency_code": "EUR",
5 "currency_exchange_rate": "0.849",
6 "decimal_places": 2,
7 "decimal_token": ".",
8 "default_for_country_codes": [
9 "EU"
10 ],
11 "enabled": false,
12 "id": 2,
13 "is_default": false,
14 "is_transactional": true,
15 "last_updated": "2024-01-15T09:30:00Z",
16 "name": "Euro",
17 "thousands_token": ",",
18 "token": "€",
19 "token_location": "left",
20 "use_default_name": false
21}

Returns a single Currency.

Was this page helpful?
Previous

Currencies

Next

Update Currency

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idstringRequired
The ID of the subject currency.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Response

auto_updateboolean

Specifies whether to use the Open Exchange Rates service to update the currency conversion. A value of false specifies a static conversion value. auto_update only applies to non-transactional currencies.

country_iso2string

2-letter ISO Alpha-2 code for this currency’s country.

currency_codestring

3-letter ISO 4217 code for this currency.

currency_exchange_ratestring

Amount of this currency that is equivalent to one U.S. dollar.(Float, Float as String, Integer)

decimal_placesinteger
Number of decimal places to show for this currency.
decimal_tokenstring
Symbol used as the decimal separator in this currency.
default_for_country_codeslist of strings

Default 3-letter ISO 4217 code for this currency.

enabledboolean
If the currency is active on the store.
idintegerRead-only
ID of the currency. Read only.
is_defaultboolean

Specifies the store’s default currency display format. For write operations, only true value is accepted. When set to true, it cannot be unset, only overridden.

is_transactionalboolean
Indicates if the currency is set as transactional or not. False means display only currency
last_updateddatetimeRead-only
Date the currency was last updated, created or modified.
namestring
Name of the currency.
thousands_tokenstring
Symbol used as the thousands separator in this currency.
tokenstring
Symbol for this currency.
token_locationstring

Specifies whether this currency’s symbol appears to the “left” or “right” of the numeric amount.

use_default_nameboolean
Default currency name

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.